Retrieve a business
curl --request GET \
--url https://api.izap.ai/api/v1/businesses/current \
--header 'Authorization: Bearer <token>' \
--header 'business-id: <business-id>'import requests
url = "https://api.izap.ai/api/v1/businesses/current"
headers = {
"business-id": "<business-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'business-id': '<business-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.izap.ai/api/v1/businesses/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.izap.ai/api/v1/businesses/current",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"business-id: <business-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.izap.ai/api/v1/businesses/current"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("business-id", "<business-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.izap.ai/api/v1/businesses/current")
.header("business-id", "<business-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.izap.ai/api/v1/businesses/current")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["business-id"] = '<business-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"business_name": "<string>",
"hours": [
{
"end_hour": "<string>",
"operating_days": [
"<unknown>"
],
"start_hour": "<string>"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"menus": [
{
"menu_json": "<unknown>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"chatbot": {
"effective_locale": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"ai_model_name": "<string>",
"ai_pause_minutes": 123,
"ai_pause_minutes_default": 60,
"avatar": "<string>",
"custom_instructions": [
"<unknown>"
],
"detect_client_language": false,
"hold_ai_after_manual_reply": false,
"is_active": false,
"locale": "<string>",
"locale_source": "default",
"messaging_backend": "izap",
"name": "<string>",
"objective": "<string>",
"phone_number": "<string>",
"platform": "whatsapp",
"whatsapp_numbers": []
},
"chatbots": [],
"industry": "<string>",
"timezone": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}{
"detail": "<string>",
"code": "<string>"
}businesses
Retrieve a business
Returns the business profile, including its opening hours, menus and assistants. The business is taken from the business-id header rather than the URL; the path-scoped form of this operation is deprecated.
GET
/
api
/
v1
/
businesses
/
current
Retrieve a business
curl --request GET \
--url https://api.izap.ai/api/v1/businesses/current \
--header 'Authorization: Bearer <token>' \
--header 'business-id: <business-id>'import requests
url = "https://api.izap.ai/api/v1/businesses/current"
headers = {
"business-id": "<business-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'business-id': '<business-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.izap.ai/api/v1/businesses/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.izap.ai/api/v1/businesses/current",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"business-id: <business-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.izap.ai/api/v1/businesses/current"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("business-id", "<business-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.izap.ai/api/v1/businesses/current")
.header("business-id", "<business-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.izap.ai/api/v1/businesses/current")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["business-id"] = '<business-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"business_name": "<string>",
"hours": [
{
"end_hour": "<string>",
"operating_days": [
"<unknown>"
],
"start_hour": "<string>"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"menus": [
{
"menu_json": "<unknown>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"chatbot": {
"effective_locale": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"ai_model_name": "<string>",
"ai_pause_minutes": 123,
"ai_pause_minutes_default": 60,
"avatar": "<string>",
"custom_instructions": [
"<unknown>"
],
"detect_client_language": false,
"hold_ai_after_manual_reply": false,
"is_active": false,
"locale": "<string>",
"locale_source": "default",
"messaging_backend": "izap",
"name": "<string>",
"objective": "<string>",
"phone_number": "<string>",
"platform": "whatsapp",
"whatsapp_numbers": []
},
"chatbots": [],
"industry": "<string>",
"timezone": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}{
"detail": "<string>",
"code": "<string>"
}Authorizations
Headers
Response
Successful Response